#
# spec file for package python-jsbeautifier
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-jsbeautifier
Version:        1.6.14
Release:        3.1
Summary:        JavaScript unobfuscator and beautifier
License:        MIT
Group:          Development/Languages/Python
Url:            http://jsbeautifier.org
Source:         https://files.pythonhosted.org/packages/source/j/jsbeautifier/jsbeautifier-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module EditorConfig >= 0.12.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six >= 1.6.1}
%endif
BuildRequires:  fdupes
Requires:       python-EditorConfig >= 0.12.0
Requires:       python-six >= 1.6.1
BuildArch:      noarch

%python_subpackages

%description
Beautify, unpack or deobfuscate JavaScript. Handles popular online obfuscators.

%prep
%setup -q -n jsbeautifier-%{version}

%build
%python_build

%install
%python_install
%{python_expand chmod a+x %{buildroot}%{$python_sitelib}/jsbeautifier/tests/test-perf-jsbeautifier.py
chmod a+x %{buildroot}%{$python_sitelib}/jsbeautifier/tests/generated/tests.py
sed -i "s|^#!/usr/bin/env python$|#!%__$python|" %{buildroot}%{$python_sitelib}/jsbeautifier/tests/test-perf-jsbeautifier.py
sed -i "s|^#!/usr/bin/env python$|#!%__$python|" %{buildroot}%{$python_sitelib}/jsbeautifier/tests/generated/tests.py
$python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/jsbeautifier/tests/
$python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/jsbeautifier/tests/
%fdupes %{buildroot}%{$python_sitelib}
}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%python3_only %{_bindir}/js-beautify
%{python_sitelib}/jsbeautifier
%{python_sitelib}/jsbeautifier-%{version}-py*.egg-info

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
